apply plugin: 'com.android.library'

android {
    compileSdkVersion 28


    defaultConfig {
        minSdkVersion 15
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"


    }

    lintOptions {
        checkReleaseBuilds false
        abortOnError false
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.2.0'
    //网络框架
    api 'com.lzy.net:okgo:3.0.4'
    //Json解析框架
    api 'com.google.code.gson:gson:2.8.5'
    //浏览器框架
    api 'com.tencent.tbs.tbssdk:sdk:43939'
    //bug上报和升级框架
    api 'com.tencent.bugly:crashreport_upgrade:1.4.5'
    //异步框架
    api 'org.greenrobot:eventbus:3.2.0'
    //图片框架
    api 'com.github.bumptech.glide:glide:4.11.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
    //图片选择
    api 'com.yanzhenjie:album:2.1.3'
    //列表适配器框架
    api 'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.4'
    api 'androidx.viewpager2:viewpager2:1.0.0'
}
